Printago API
GET /v1/maintenance/items

List maintenance items

List all maintenance items for the store

Requires: maintenance.view

Response Schema

MaintenanceItem[]
Array of MaintenanceItem, each with:
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
intervalrequired
number
isSystemDefaultrequired
boolean
namerequired
string
notesrequirednullable
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
triggerTyperequired
"print_hours" | "calendar_days" | "job_count"
print_hourscalendar_daysjob_count
updatedAtrequired
string
format: date-time
warningThresholdPctrequired
number

Example Response

200 OK — application/json
[
  {
    "name": "string",
    "triggerType": "print_hours",
    "interval": 1,
    "warningThresholdPct": 1,
    "notes": "string",
    "isSystemDefault": true,
    "customMetadata": {},
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]